/{organizationId}/portal/settingsUpdate settings
Updates the portal settings of an organization
Required permissions:
portalSettings.edit
Path Parameters
organizationIdstringrequired Request Body required
Content-Type: application/json
requireEmailConfirmationToJoinbooleanrequired Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/portal/settings' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"services": [
"rooms"
],
"rooms": {
"features": [
"chats"
],
"keepDeletedUserData": true,
"requireEmailConfirmationToJoin": true
},
"offers": {
"features": [
"resources"
]
},
"selfService": {
"features": [
"showMembership"
]
},
"requireEmailConfirmationToJoin": true,
"email": {
"subject": "string"
}
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
Valueany Response
"string"400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}